package com.zjrs.ggfw.rlzysc.dto.msgl;

import jakarta.validation.constraints.NotNull;

public class MsUDTO {
    private String rsrlzymsgllsh;//面试管理流水号

    public String getRsrlzymsgllsh() {
        return rsrlzymsgllsh;
    }

    public void setRsrlzymsgllsh(String rsrlzymsgllsh) {
        this.rsrlzymsgllsh = rsrlzymsgllsh;
    }

    @NotNull(message = "企业信息流水号不能为空")
    private String rsrlzyqyxxlsh;//企业信息流水号
    @NotNull(message = "岗位信息流水号不能为空")
    private String rsrlzygwxxlsh;//岗位信息流水号
    @NotNull(message = "面试日期不能为空")
    private String msrq;//面试日期
    @NotNull(message = "开始时间不能为空")
    private String kssj;//开始时间
    @NotNull(message = "结束时间不能为空")
    private String jssj;//结束时间
    @NotNull(message = "面试说明不能为空")
    private String mssm;//面试说明
    @NotNull(message = "面试邀请类型不能为空")
    private String msyqlx;//面试邀请类型, 1是简历管理  2是收藏
    @NotNull(message = "特殊流水号不能为空")
    private String rsrlzytslsh;//特殊流水号, 记录收藏流水号,简历管理流水号信息

    @NotNull(message = "面试官流水号不能为空")
    private String rsrlzymsggllsh;//面试官流水号
    @NotNull(message = "简历信息流水号不能为空")
    private String rsrlzyjlxxlsh;//简历信息流水号

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getRsrlzygwxxlsh() {
        return rsrlzygwxxlsh;
    }

    public void setRsrlzygwxxlsh(String rsrlzygwxxlsh) {
        this.rsrlzygwxxlsh = rsrlzygwxxlsh;
    }

    public String getMsrq() {
        return msrq;
    }

    public void setMsrq(String msrq) {
        this.msrq = msrq;
    }

    public String getKssj() {
        return kssj;
    }

    public void setKssj(String kssj) {
        this.kssj = kssj;
    }

    public String getJssj() {
        return jssj;
    }

    public void setJssj(String jssj) {
        this.jssj = jssj;
    }

    public String getMssm() {
        return mssm;
    }

    public void setMssm(String mssm) {
        this.mssm = mssm;
    }

    public String getMsyqlx() {
        return msyqlx;
    }

    public void setMsyqlx(String msyqlx) {
        this.msyqlx = msyqlx;
    }

    public String getRsrlzytslsh() {
        return rsrlzytslsh;
    }

    public void setRsrlzytslsh(String rsrlzytslsh) {
        this.rsrlzytslsh = rsrlzytslsh;
    }

    public String getRsrlzymsggllsh() {
        return rsrlzymsggllsh;
    }

    public void setRsrlzymsggllsh(String rsrlzymsggllsh) {
        this.rsrlzymsggllsh = rsrlzymsggllsh;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }
}

